io.flutter.embedding.android

## Enum FlutterView.TransparencyMode

- java.lang.Object
- - java.lang.Enum<FlutterView.TransparencyMode>
  - - io.flutter.embedding.android.FlutterView.TransparencyMode

- All Implemented Interfaces:
    Serializable, Comparable<FlutterView.TransparencyMode>
  Enclosing class:
    FlutterView

  Deprecated.

      @Deprecated
      public static enum FlutterView.TransparencyMode
      extends Enum<FlutterView.TransparencyMode>

  Transparency mode for a `FlutterView`.

  Deprecated - please use `TransparencyMode` instead.

  `TransparencyMode` impacts the visual behavior and performance of a `FlutterSurfaceView`, which is displayed when a `FlutterView` uses `RenderMode.surface`.

  `TransparencyMode` does not impact `FlutterTextureView`, which is displayed when a `FlutterView` uses `RenderMode.texture`, because a `FlutterTextureView` automatically comes with transparency.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `opaque` Deprecated. Renders a `FlutterView` without any transparency.
    `transparent` Deprecated. Renders a `FlutterView` with transparency.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlutterView.TransparencyMode` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static FlutterView.TransparencyMode[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### opaque

          public static final FlutterView.TransparencyMode opaque

      Deprecated.
      Renders a `FlutterView` without any transparency. This affects `FlutterView`s in `RenderMode.surface` by introducing a base color of black, and places the `FlutterSurfaceView`'s `Window` behind all other content.

      In `RenderMode.surface`, this mode is the most performant and is a good choice for fullscreen Flutter UIs that will not undergo `Fragment` transactions. If this mode is used within a `Fragment`, and that `Fragment` is replaced by another one, a brief black flicker may be visible during the switch.

    - #### transparent

          public static final FlutterView.TransparencyMode transparent

      Deprecated.
      Renders a `FlutterView` with transparency. This affects `FlutterView`s in `RenderMode.surface` by allowing background transparency, and places the `FlutterSurfaceView`'s `Window` on top of all other content.

      In `RenderMode.surface`, this mode is less performant than `opaque`, but this mode avoids the black flicker problem that `opaque` has when going through `Fragment` transactions. Consider using this `TransparencyMode` if you intend to switch `Fragment`s at runtime that contain a Flutter UI.

  - ### Method Detail

    - #### values

          public static FlutterView.TransparencyMode[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlutterView.TransparencyMode c : FlutterView.TransparencyMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlutterView.TransparencyMode valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null